local S = minetest.get_translator("default")


local recipes = {
--	{"technic_farming:bucket_must_apple", "technic_farming:bucket_vinegar_apple", 16},
}
for _,fruit in pairs(tf_recipes.fruits) do
    if minetest.registered_items[fruit[4]] then
        if tf_recipes.bucket ~= nil then
            if minetest.registered_items["technic_farming:bucket_must_"..fruit[1]] and minetest.registered_items["technic_farming:bucket_vinegar_"..fruit[1]] then
                table.insert(recipes,{"technic_farming:bucket_must_"..fruit[1],"technic_farming:bucket_vinegar_"..fruit[1],16})
            end
        end
    end
end

for _, data in pairs(recipes) do
    local fermenting_time = data[3] or 1
    local b_registered = true
    for i=1,2 do
        local item_name = string.split(data[i],' ')[1]
        b_registered = b_registered and (minetest.registered_items[item_name] ~= nil)
    end
    if b_registered then
    	technic_farming.register_fermenting_recipe({input = {data[1]}, output = data[2], time = fermenting_time})
    end
end
